Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface CompletedTaskRecord

All Superinterfaces:
  PropertiesCreator, java.io.Serializable

    public interface CompletedTaskRecord

extends PropertiesCreator, java.io.Serializable

Interface `CompletedTaskRecord` contains information of a completed task in the report server.

Method Summary
`java.lang.String` | `getCatalogFile()` Return the report catalog of the completed task.
`java.lang.String` | `getCompletedRecordID()` Return the record ID of the completed task.
`java.util.Date` | `getCompletedTime()` Return the completed time of the completed task.
`java.lang.String` | `getEngineStatus()` Return the report engine status message of the completed task.
`java.lang.String` | `getErrorMessage()` Return the error message of the completed task.
`int` | `getLaunchType()` Return the launch type of the completed task.
`java.lang.String` | `getLogicOfConditions()` Return the logic between the trigger and the time condition of this task
`java.lang.String` | `getParamFile()` Return the parameter filename of the report of the completed task.
`java.lang.String` | `getReportFile()` Return the report name of the completed task.
`java.lang.String` | `getReportNames()` Return a String contains report names
`java.lang.String` | `getResults()` Return the report results of the completed task.
`java.lang.String` | `getSubmitter()` Return the submitter of the completed task.
`TaskSuccessInfo` | `getSuccessInfo()` Return success info for exporting every format file.
`java.lang.String` | `getTaskClass()` Return the task type of the completed task.
`java.lang.String` | `getTaskID()` Return the task ID of the completed task.
`java.lang.String` | `getTaskName()` Return the task name of the completed task.
`java.lang.String` | `getTrigger()` Return the bound trigger name of the active task
`java.lang.String` | `getVersionID()` Return the version ID of the "Publish to Version system" task.
`boolean` | `isMissed()` Return Whether this completed task is missed or not
`boolean` | `isSuccessful()` Return if the completed task is successful.

Methods inherited from interface jet.server.api.PropertiesCreator
`toProperties`

Method Detail

### getCompletedRecordID

    java.lang.String getCompletedRecordID()

  Return the record ID of the completed task.

  Returns:
    the record ID of the completed task.

### getCompletedTime

    java.util.Date getCompletedTime()

  Return the completed time of the completed task.

  Returns:
    the completed time of the completed task.

### isSuccessful

    boolean isSuccessful()

  Return if the completed task is successful.

  Returns:
    if the completed task is successful.

### getSuccessInfo

    TaskSuccessInfo getSuccessInfo()

  Return success info for exporting every format file.

  Returns:
    success info for exporting every format file.

### getEngineStatus

    java.lang.String getEngineStatus()

  Return the report engine status message of the completed task.

  Returns:
    the report engine status message of the completed task.

### getErrorMessage

    java.lang.String getErrorMessage()

  Return the error message of the completed task.

  Returns:
    the error message of the completed task.

### getSubmitter

    java.lang.String getSubmitter()

  Return the submitter of the completed task.

  Returns:
    the submitter of the completed task.

### getTaskID

    java.lang.String getTaskID()

  Return the task ID of the completed task.

  Returns:
    the task ID of the completed task.

### getTaskName

    java.lang.String getTaskName()

  Return the task name of the completed task.

  Returns:
    the task name of the completed task.

### getTaskClass

    java.lang.String getTaskClass()

  Return the task type of the completed task.

  Returns:
    the task type of the completed task.

### getLaunchType

    int getLaunchType()

  Return the launch type of the completed task.

  Returns:
    the launch type of the completed task.

### getCatalogFile

    java.lang.String getCatalogFile()

  Return the report catalog of the completed task.

  Returns:
    the report catalog of the completed task .

### getReportFile

    java.lang.String getReportFile()

  Return the report name of the completed task.

  Returns:
    the report name of the completed task.

### getParamFile

    java.lang.String getParamFile()

  Return the parameter filename of the report of the completed task.

  Returns:
    the parameter filename of the report of the completed task.

### getResults

    java.lang.String getResults()

  Return the report results of the completed task.

  Returns:
    the report results of the completed task .

### getVersionID

    java.lang.String getVersionID()

  Return the version ID of the "Publish to Version system" task.

  Returns:
    the version ID of the "Publish to Version system" task.

### isMissed

    boolean isMissed()

  Return Whether this completed task is missed or not

  Returns:
    true is missed, false is not

### getTrigger

    java.lang.String getTrigger()

  Return the bound trigger name of the active task

  Returns:
    the bound trigger name. It can be null if no trigger bind with this task

### getLogicOfConditions

    java.lang.String getLogicOfConditions()

  Return the logic between the trigger and the time condition of this task

  Returns:
    the logic name. It can be null if no trigger bind with this task, or the launch type of this task is immediately.

### getReportNames

    java.lang.String getReportNames()

  Return a String contains report names

  Returns:
    a report names string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD